# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: model.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import descriptor_pool as _descriptor_pool
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()




DESCRIPTOR = _descriptor_pool.Default().AddSerializedFile(b'\n\x0bmodel.proto\"\x07\n\x05\x45mpty\" \n\x0eTrainingConfig\x12\x0e\n\x06\x63onfig\x18\x01 \x01(\t2A\n\x0e\x44\x65trDatabroker\x12/\n\x14send_training_signal\x12\x06.Empty\x1a\x0f.TrainingConfigb\x06proto3')



_EMPTY = DESCRIPTOR.message_types_by_name['Empty']
_TRAININGCONFIG = DESCRIPTOR.message_types_by_name['TrainingConfig']
Empty = _reflection.GeneratedProtocolMessageType('Empty', (_message.Message,), {
  'DESCRIPTOR' : _EMPTY,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:Empty)
  })
_sym_db.RegisterMessage(Empty)

TrainingConfig = _reflection.GeneratedProtocolMessageType('TrainingConfig', (_message.Message,), {
  'DESCRIPTOR' : _TRAININGCONFIG,
  '__module__' : 'model_pb2'
  # @@protoc_insertion_point(class_scope:TrainingConfig)
  })
_sym_db.RegisterMessage(TrainingConfig)

_DETRDATABROKER = DESCRIPTOR.services_by_name['DetrDatabroker']
if _descriptor._USE_C_DESCRIPTORS == False:

  DESCRIPTOR._options = None
  _EMPTY._serialized_start=15
  _EMPTY._serialized_end=22
  _TRAININGCONFIG._serialized_start=24
  _TRAININGCONFIG._serialized_end=56
  _DETRDATABROKER._serialized_start=58
  _DETRDATABROKER._serialized_end=123
# @@protoc_insertion_point(module_scope)
